• 카테고리

    질문 & 답변
  • 세부 분야

    백엔드

  • 해결 여부

    미해결

error installing "core" component MSI.

23.01.15 00:06 작성 조회수 1.09k

0

안녕하세요 강사님. 어제 시작한 사람입니다!

다름이 아니라, 개발 환경 구축 중에 터미널에서

파이썬 버전 설치 단계가 계속 에러가 뜹니다.

PS C:\Users\ped> pyenv install 3.11.1
:: [Info] ::  Mirror: https://www.python.org/ftp/python
:: [Installing] ::  3.11.1 ...
:: [Error] :: error installing "core" component MSI.
:: [Error] :: couldn't install 3.11.1

다른 버전도 모두 마찬가지입니다!

공장 초기화를 해도 이렇게 뜹니다..

 

++ 그래서 파이썬 공식 홈페이지에 가서

파이썬을 수동 설치했습니다.

이후 다시 따라가려니(글로벌 버전 지정),

또 에러가 뜹니다.

 

PS C:\Users\ped> pyenv global 3.11.1
pyenv specific python requisite didn't meet. Project is using different version of python.
Install python '3.11.1' by typing: 'pyenv install 3.11.1'

 

 

어떻게 해야 할 까요..

진도를 못 나가서 답답합니다 ㅠㅠ

답변 2

·

답변을 작성해보세요.

1

Kil-Moo Lee님의 프로필

Kil-Moo Lee

2023.02.26

저는 pyenv를 다운그레이드하여 해결되었습니다.

https://github.com/ScoopInstaller/Main/issues/4143#issuecomment-1324661712

 

와우~!!! 그렇군요.

공유 감사드립니다~!!! 👍

kjkim님의 프로필

kjkim

질문자

2023.02.28

감사드립니다!

Dongcheol Shin님의 프로필

Dongcheol Shin

2023.12.09

2.64.11 다운그레이드 했더니 3.10.4를 설치할 수 없는데요?

@dongcheol Shin :

오늘 추가로 공개한 winget을 활용한 윈도우 개발환경 구축 에피소드를 참고해보시겠어요? 윈도우에서는 scoop과 pyenv를 사용하지 않고, 윈도우 기본 기능과 윈도우 파이썬의 기본 기능인 py launcher를 활용하는 방법을 새롭게 제안드립니다.

1

안녕하세요.

많이 답답하셨겠습니다.

파이썬 공식 홈페이지라면 python.org 에서 다운받아서 파이썬을 설치하셨다는 거죠? 만약 그러시다면 pyenv 는 제거해주세요. scoop uninstall pyenv 명령으로 제거하실 수 있습니다. // scoop 동작에서 어려움이 있으시다면 scoop 을 사용하지 않으셔도 됩니다. scoop 사용을 잘 하면 편리하다는 것일 뿐, 필수는 아닙니다. // 일단 파이썬과 장고에 먼저 집중하시는 것이 중요합니다.

python.org 에서 다운받은 파이썬을 설치하실 때에는, 설치 대화상자에서 필히 Add python to path (옵션명은 조금 다를 수 있습니다.) 체크박스를 꼭 체크하시고 설치를 진행해주세요. 그래야만 터미널을 띄우셨을 때 python 명령이 제대로 동작합니다.

이미 설치하셨다면, 윈도우의 프로그램 추가/제거 메뉴를 통해 파이썬을 제거하시고, 다시 설치해주세요.

확인해보시고, 또 궁금한 점이나 진행상황을 댓글 남겨주세요. :-)

화이팅입니다.